package asd.td2;

import asd.base.PileStatique;

/**
 * Une classe pour l'exercice 5 de la feuille 2.
 *  2001 Marc Gatano
 */
public class Train {

    private PileStatique p; // la voie C
    
    public Train() {
	p = new PileStatique();
    }

    /**
     * Teste si s est une commande valide pour permuter n wagons.
     * Precondition : n > 0.
     * Complexite : O(n).
     */
    public boolean valide(String s, int n) {
	return false;
    }

    public boolean valide(int[] t) {
        return false;
    }

    /**
     * Retourne la commande qui permute le train dont les wagons sont dans
     * l'ordre voieA dans le train dont les wagons sont dans l'ordre voieB.
     * Preconditon : voieA et voieB sont deux permutations de 0,1,..,n-1 ou
     * n = voieA.length = voieB.length et on peut passer de voieA a voieB par
     * une commande.
     * Valeur rendue : la commande qui fait passer de voieA a voieB.
     * Complexite : O(n) ou n = voieA.length = voieB.length.
     */
    public String commande(int[] voieA, int[] voieB) {
	return "";
    }

    // pour se simplifier la vie

    private boolean vide() {
	return p.vide();
    }

    private void empiler(int i) {
	p.empiler(new Integer(i));
    }

    private void depiler() {
	p.depiler();
    }
    
    private int sommet() {
	return ((Integer) p.sommet()).intValue();
    }
}
